13.4. Kodowanie do formatu video Sony PSP
Poprzedni | Rozdział 13. Podstawy używania MEncodera | Następny

## 13.4. Kodowanie do formatu video Sony PSP

MEncoder obsługuje kodowanie do formatu video Sony PSP, ale, w zależności od wersji oprogramowania PSP, wymaga różnych ograniczeń. Powinieneś byś bezpieczny, jeśli respektujesz poniższe ograniczenia:

- Bitrate: nie powinno przekraczać 1500kbps, jednakże poprzednie wersje obsługiwały praktycznie dowolny bitrate jeśli tylko nagłówek twierdził że nie jest za wysokie.

- Wymiary: wysokość i szerokość filmu PSP powinny być wielokrotnościami 16, a iloczyn szerokość * wysokość musi być <= 64000. W niektórych okolicznościach może być możliwe że PSP odtworzy wyższe rozdzielczości.

- Audio: powinno mieć częstotliwość próbkowania 24kHz dla MPEG-4 i 48kHz dla H.264.

Przykład 13.4. kodowanie dla PSP

    mencoder -ofps 30000/1001 -af lavcresample=24000 -vf harddup -of lavf \
        -oac lavc -ovc lavc -lavcopts aglobal=1:vglobal=1:vcodec=mpeg4:acodec=aac \
        -lavfopts format=psp:i_certify_that_my_video_stream_does_not_use_b_frames \
        wejściowe.video -o wyjście.psp

Możesz też ustawić tytuł filmu dzięki `-info name=`TytułFilmu``.

Poprzedni | Początek rozdziału | Następny
13.3. Kodowanie dwuprzebiegowe MPEG-4 ("DivX") | Spis treści | 13.5. Kodowanie do formatu MPEG